condor_job_router_info(1)

Name

condor_job_router_infoDiscover and display information related to job routing

Synopsis
condor_job_router_info[-help | -version]

condor_job_router_info-config

condor_job_router_info-match-jobs -jobads filename[-ignore-prior-routing]

Description
condor_job_router_infodisplays information about job routing. The information will be either the available, configured routes or the routes for specified jobs.

Options

-help

    Display usage information and exit.

-version

    Display HTCondor version information and exit.

-config

    Display configured routes.

-match-jobs

    For each job listed in the file specified by the -jobadsoption, display the first route found.

-ignore-prior-routing

    For each job, remove any existing routing ClassAd attributes, and set attribute JobStatusto the Idle state before finding the first route.

-jobads filename

    Read job ClassAds from file filename. If filenameis -, then read from stdin.

Exit Status

condor_job_router_infowill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.